com.lowagie.rups.view.models

## Class DictionaryTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - com.lowagie.rups.view.models.DictionaryTableModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel

      public class DictionaryTableModel
      extends javax.swing.table.AbstractTableModel

  A TableModel in case we want to show a PDF dictionary in a JTable.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PdfDictionary` | `dictionary` The PDF dictionary.
    `protected java.util.ArrayList<PdfName>` | `keys` An ArrayList with the dictionary keys.
    `private static long` | `serialVersionUID` A serial version UID.

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DictionaryTableModel(PdfDictionary dictionary)` Creates the TableModel.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnCount()`
    `java.lang.String` | `getColumnName(int columnIndex)`
    `int` | `getRowCount()`
    `java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      A serial version UID.
      See Also:
        Constant Field Values

    - #### dictionary

          protected PdfDictionary dictionary

      The PDF dictionary.

    - #### keys

          protected java.util.ArrayList<PdfName> keys

      An ArrayList with the dictionary keys.

  - ### Constructor Detail

    - #### DictionaryTableModel

          public DictionaryTableModel(PdfDictionary dictionary)

      Creates the TableModel.
      Parameters:
        `dictionary` - the dictionary we want to show

  - ### Method Detail

    - #### getColumnCount

          public int getColumnCount()

      See Also:
        `TableModel.getColumnCount()`

    - #### getRowCount

          public int getRowCount()

      See Also:
        `TableModel.getRowCount()`

    - #### getValueAt

          public java.lang.Object getValueAt(int rowIndex,
                                    int columnIndex)

      See Also:
        `TableModel.getValueAt(int, int)`

    - #### getColumnName

          public java.lang.String getColumnName(int columnIndex)

      Specified by:
        `getColumnName` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnName` in class `javax.swing.table.AbstractTableModel`
      See Also:
        `AbstractTableModel.getColumnName(int)`